## org.gjt.sp.jedit
Interface OptionPane

All Known Implementing Classes:
  AbstractOptionPane

public interface OptionPane

The interface all option panes must implement.

See `EditPlugin` for information on how jEdit obtains and constructs option pane instances.

Note that in most cases it is much easier to extend `AbstractOptionPane` instead.

Version:
  $Id: OptionPane.java,v 1.6 2003/05/01 02:21:26 spestov Exp $
Author:
  Slava Pestov

Method Summary
`java.awt.Component` `getComponent()` Returns the component that should be displayed for this option pane.
`java.lang.String` `getName()` Returns the internal name of this option pane.
`void` `init()` This method is called every time the option pane is displayed.
`void` `save()` Called when the options dialog's "ok" button is clicked.

Method Detail

### getName

    public java.lang.String getName()

  Returns the internal name of this option pane. The option pane's label is set to the value of the property named `options.name.label`.

  See Also:
    `jEdit.getProperty(String)`

### getComponent

    public java.awt.Component getComponent()

  Returns the component that should be displayed for this option pane.

### init

    public void init()

  This method is called every time the option pane is displayed.

### save

    public void save()

  Called when the options dialog's "ok" button is clicked. This should save any properties being edited in this option pane.